///home/berryj/link/bin/genMethods "-g" "-t" "int" "-h" "Container" "-I" "LINK/basic/Container.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Container.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef int _int;
typedef Container<int > _Container_int_;

#define _Container_int_DATA(x) ((Container<int >*) (EXTDATA(x)))
#define _Container_int_IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<int > >::type))
#define _Container_int_ISNT_DATA(x) (!_Container_int_IS_DATA(x))

#define _Container_int_CXX_DATA(x) (*(Container<int >*) (EXTDATA(VAL(x))))
#define _Container_int_CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<int > >::type))
#define _Container_int_CXX_ISNT_DATA(x) (!_Container_int_CXX_IS_DATA(x))


PRIMITIVE STk_init__Container_int_()
{
	Wrapper<_Container_int_>::type = STk_new_CXXwrapper_id(
			Wrapper<_Container_int_>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_Container_int_>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Container_int_Methods(void);

PRIMITIVE STk_init_methods__Container_int_()
{
	genExtra_Container_int_Methods();
	return UNDEFINED;
}
